Bug 179502 - up2date-nox --configure changes current value of numeric attribute to Yes/No if 1/0 is selected
up2date-nox --configure changes current value of numeric attribute to Yes/No ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
:
Depends On:
Blocks: 164831 168429
  Show dependency treegraph
 
Reported: 2006-01-31 16:51 EST by Beth Nackashi
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0098
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 14:04:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2006-01-31 16:51:53 EST
+++ This bug was initially created as a clone of Bug #176195 +++

Description of problem:
If a numeric attribute such as headerFetchCount, networkRetries, or
headerCacheSize is changed to 1 (or 0), the resulting current value becomes
"Yes" (or "No").  Once this happens, you can only change the current value
between "No" and "Yes".


Version-Release number of selected component (if applicable):
up2date-4.4.56-3

How reproducible:
always.

Steps to Reproduce:
1.  Run up2date-nox --configure
2.  Choose a numeric attribute such as networkRetries
3.  Change it to 1
4.  <enter> to save and exit
5.  Run up2date-nox --configure again to look at the current value.
  
Actual results:
networkRetries     Yes

Expected results:
networkRetries     1

Additional info:
Once the numeric attribute becomes snagged in the eddy of Yes/No, you can't
change it back to a number.

Here's an example.  Note the networkRetries attribute (#24).  I've snipped out
everything else.

[root@rlx-3-04 tmp]# up2date-nox --configure

24. networkRetries     5

Enter number of item to edit <return to exit, q to quit without saving>: 24
Attribute Name: networkRetries
Comment: Number of attempts to make at network connections before giving up
Current value: 5
    <return for default, enter two spaces and return to clear>
New Value: 1

24. networkRetries     1

Enter number of item to edit <return to exit, q to quit without saving>: <enter,
save>

Run it again:
[root@rlx-3-04 tmp]# up2date-nox --configure

24. networkRetries     Yes   <-- now it says "Yes" instead of 1

Enter number of item to edit <return to exit, q to quit without saving>: 24
Attribute Name: networkRetries
Comment: Number of attempts to make at network connections before giving up
Current value: Yes
New Value: 14
New Value: 1  <-- can't change it back to 1
New Value: 3  <-- can't change it to any number
New Value: No <-- can only change it to "No"

24. networkRetries     No

Enter number of item to edit <return to exit, q to quit without saving>: q



Workaround:  Edit /etc/sysconfig/rhn/up2date manually.
Comment 1 Beth Nackashi 2006-02-01 11:21:58 EST
verified fix with up2date-4.4.67-4 on i386 and x86_64
Comment 2 Beth Nackashi 2006-02-01 11:48:51 EST
and ia64
Comment 3 Red Hat Bugzilla 2006-03-07 14:04:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0098.html

Note You need to log in before you can comment on or make changes to this bug.